Bug 588409 - traceback in update_job_creation_times
Summary: traceback in update_job_creation_times
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:16021d0f
Depends On:
Blocks: 588836 590061
TreeView+ depends on / blocked
 
Reported: 2010-05-03 17:02 UTC by Ulrich Hobelmann
Modified: 2010-07-27 02:52 UTC (History)
3 users (show)

Fixed In Version: system-config-printer-1.1.19-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 588836 590061 (view as bug list)
Environment:
Last Closed: 2010-07-27 02:52:52 UTC


Attachments (Terms of Use)
File: backtrace (682 bytes, text/plain)
2010-05-03 17:02 UTC, Ulrich Hobelmann
no flags Details

Description Ulrich Hobelmann 2010-05-03 17:02:25 UTC
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/share/system-config-printer/system-config-printer.py
comment: I opened the printer properties, clicked "print test page", and closed the dialog with cancel.
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.33.2-57.fc13.i686
package: system-config-printer-1.2.1-1.fc13
reason: jobviewer.py:619:update_job_creation_times:KeyError: 12
release: Fedora release 13 (Goddard)

backtrace
-----
jobviewer.py:619:update_job_creation_times:KeyError: 12

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 619, in update_job_creation_times
    iter = self.jobiters[job]
KeyError: 12

Local variables in innermost frame:
job: 12
need_update: False
data: {'job-name': u'Test Page', 'job-printer-uri': u'ipp://inferno.world:631/printers/Stylus-C66', 'job-originating-user-name': u'ulrich', 'attributes-charset': u'utf-8', 'job-k-octets': 1, 'attributes-natural-language': u'en-us', 'job-printer-name': u'Stylus-C66', 'time-at-creation': 1272906004, 'job-state': 5}
now: 1272906078.445704
self: <jobviewer.JobViewer instance at 0x88a8e6c>

Comment 1 Ulrich Hobelmann 2010-05-03 17:02:27 UTC
Created attachment 411064 [details]
File: backtrace

Comment 3 Jiri Popelka 2010-05-04 09:59:09 UTC
Fixed upstream (1.1.x).
commit 417451adf0b37827e66102edd8fe81af45e0fd99

Comment 4 Fedora Update System 2010-05-18 14:51:46 UTC
system-config-printer-1.1.19-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11

Comment 5 Fedora Update System 2010-05-18 14:53:58 UTC
system-config-printer-1.1.19-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12

Comment 6 Fedora Update System 2010-05-19 19:16:47 UTC
system-config-printer-1.1.19-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11

Comment 7 Fedora Update System 2010-05-19 19:21:21 UTC
system-config-printer-1.1.19-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12

Comment 8 Bug Zapper 2010-06-28 15:44:12 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Fedora Update System 2010-06-29 15:31:09 UTC
system-config-printer-1.1.19-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-3.fc12

Comment 10 Fedora Update System 2010-07-27 02:51:47 UTC
system-config-printer-1.1.19-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.